set(ITKVtkGlue_LOADED 1)
set(ITKVtkGlue_DEPENDS "ITKCommon;ITKImageAdaptors;ITKImageGrid;ITKImageIntensity;ITKVTK")
set(ITKVtkGlue_LIBRARIES "ITKVtkGlue")
set(ITKVtkGlue_INCLUDE_DIRS "${ITK_INSTALL_PREFIX}/include/InsightToolkit;/usr/include/vtk;/usr/include;/usr/include/freetype2")
set(ITKVtkGlue_LIBRARY_DIRS "")

set(VTK_DIR "/usr/lib64/cmake/vtk")

find_package(VTK NO_MODULE REQUIRED COMPONENTS vtkCommonCore)

if(NOT VTK_VERSION)
  set(VTK_VERSION "6.2.0")
endif()
if(NOT VTK_RENDERING_BACKEND)
  set(VTK_RENDERING_BACKEND OpenGL)
endif()
set(_target_freetypeopengl)
if(TARGET vtkRenderingFreeTypeOpenGL)
  set(_target_freetypeopengl vtkRenderingFreeTypeOpenGL)
endif()

if( 6.2.0 VERSION_LESS 6.0.0 )
  set(ITKVtkGlue_VTK_INCLUDE_DIRS /usr/include/vtk)
  set(ITKVtkGlue_VTK_LIBRARIES vtkCommonCore;vtksys)
else()
  set(_wrap_module)
  if(ITK_WRAP_PYTHON AND PYTHON_VERSION_STRING VERSION_LESS 3.0)
    set(_wrap_module vtkWrappingPythonCore)
  endif()
  vtk_module_config(ITKVtkGlue_VTK
    vtkRenderingOpenGL
    vtkRenderingFreeType
    vtkRenderingFreeTypeOpenGL
    vtkInteractionStyle
    vtkIOImage
    vtkImagingSources
    
    )

  set_property(DIRECTORY APPEND PROPERTY COMPILE_DEFINITIONS ${ITKVtkGlue_VTK_DEFINITIONS})
endif()

